Page MenuHomePhabricator

Add MemoryAccess creation and PHI creation APIs to MemorySSA
ClosedPublic

Authored by dberlin on Jun 17 2016, 1:34 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

dberlin retitled this revision from to Add MemoryAccess creation and PHI creation APIs to MemorySSA.
dberlin updated this object.
dberlin added a subscriber: llvm-commits.

(it looks like clang-format fixed some whitespace in the unittest, i'll fix formatting separately and rebase prior to commit)

Looks good overall -- just a few nits.

include/llvm/Transforms/Utils/MemorySSA.h
553 ↗(On Diff #61072)

createMemoryAccessInBB, maybe? Naming is hard.

557 ↗(On Diff #61072)

///

lib/Transforms/Utils/MemorySSA.cpp
589 ↗(On Diff #61072)

Please remove this newline

595 ↗(On Diff #61072)

Bring this out of the loop + clear on each iteration, please.

602 ↗(On Diff #61072)

Varying compare-against-null styles?

dberlin edited edge metadata.
  • Update for review comments
dberlin marked 5 inline comments as done.Jun 20 2016, 1:54 PM

Update to fix nits

george.burgess.iv edited edge metadata.

LGTM. Thanks for the patch!

This revision is now accepted and ready to land.Jun 21 2016, 11:20 AM
This revision was automatically updated to reflect the committed changes.